# Interface PaintListener

public interface PaintListener
Classes which implement this interface provide methods that deal with the events that are generated when the control needs to be painted.

After creating an instance of a class that implements this interface it can be added to a control using the `addPaintListener` method and removed using the `removePaintListener` method. When a paint event occurs, the paintControl method will be invoked.

Since:
  1.3
See Also:
  - `PaintEvent`

## Method Summary

Modifier and Type
Method
Description
`void`
`paintControl(PaintEvent event)`
Sent when a paint event occurs for the control.

## Method Details

### paintControl

void paintControl(PaintEvent event)
Sent when a paint event occurs for the control.

Parameters:
  `event` - an event containing information about the paint